# Uses of Class
it.tdlight.jni.TdApi.Error

## Uses of TdApi.Error in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.Error
Modifier and Type
Field
Description
`TdApi.Error`
TdApi.CallStateError.`error`
Error.
`TdApi.Error`
TdApi.FinishFileGeneration.`error`
If passed, the file generation has failed and must be terminated; pass null if the file generation succeeded.
`TdApi.Error`
TdApi.TestReturnError.`error`
The error to be returned.
Constructors in it.tdlight.jni with parameters of type TdApi.Error
Modifier
Constructor
Description
``
`CallStateError(TdApi.Error error)`
The call has ended with an error.
``
`FinishFileGeneration(long generationId, TdApi.Error error)`
Finishes the file generation.
``
`TestReturnError(TdApi.Error error)`
Returns the specified error and ensures that the Error object is used; for testing only.